CVE Vulnerabilities

CVE-2013-6407

Published: Dec 07, 2013 | Modified: Jul 17, 2014
CVSS 3.x
N/A
Source:
NVD
CVSS 2.x
6.4 MEDIUM
AV:N/AC:L/Au:N/C:P/I:N/A:P
RedHat/V2
5 MODERATE
AV:N/AC:L/Au:N/C:P/I:N/A:N
RedHat/V3
Ubuntu

The UpdateRequestHandler for XML in Apache Solr before 4.1 allows remote attackers to have an unspecified impact via XML data containing an external entity declaration in conjunction with an entity reference, related to an XML External Entity (XXE) issue.

Affected Software

Name Vendor Start Version End Version
Solr Apache 3.6.0 3.6.0
Solr Apache 3.6.1 3.6.1
Solr Apache 3.6.2 3.6.2
Solr Apache * 4.0.0
Solr Apache 4.0.0 4.0.0
Solr Apache 4.0.0 4.0.0
Red Hat JBoss Data Grid 6.2 RedHat solr *
Red Hat JBoss Web Framework Kit 2.4 RedHat solr *
Lucene-solr Ubuntu quantal *
Lucene-solr Ubuntu raring *
Lucene-solr Ubuntu saucy *
Lucene-solr Ubuntu upstream *
Lucene-solr Ubuntu utopic *
Lucene-solr Ubuntu vivid *
Lucene-solr Ubuntu wily *

References